de.esprit.common.gui

## Interface ToolWindow

- All Superinterfaces:
    Closeable, Dumpable
  All Known Subinterfaces:
    ApplicationToolWindow<C>, FieldEditor<T>
  All Known Implementing Classes:
    ABOCreateDialog, ABOEditDialog, ABOFetchDialog, ABOFindDialog, AboutEspritDialog, AbstractABODialog, AbstractCheckBoxOptionDialog, AbstractClientRecordDialog, AbstractFieldDialog, AbstractGroupManagerDialog, AbstractLoginFrame, AbstractNameInputDialog, AbstractPathEditDialog, AbstractRecordDialog, AbstractRecordFrame, AbstractUserManagerDialog, ActivityMonitorDialog, AppLaunchPrefsDialog, ApplicationMainFrame, ApplicationTestFrame, ArchiveConfigDialog, BatchTaskConfigDialog, BatchTaskManagerDialog, CalendarDateDialog, CalendarTimestampDialog, ChangePasswordForUserDialog, ChatToolFrame, ChoosePermissionDialog, ClientActivityMonitorDialog, ClientMainFrame, ClientMessageSendDialog, ClientShutdownDialog, ClientToolDialog, ClientToolFrame, ConfirmDialog, ConnectionLostDialog, CpuLoadConfigDialog, CreateDirectoryDialog, CreateFileDialog, DataSourceListDialog, DBRecordListFrame, DBRecordTableDialog, DBRecordTableFrame, DefaultClientRecordDialog, DefaultFieldEditor, DefaultLoginDialog, DefaultRecordCreateDialog, DefaultRecordEditDialog, DirectoryPathEditor, DumpDialog, EmailConfigDialog, ErrorDialog, EspritClientLoginFrame, EspritClientMainFrame, EspritDemoMainFrame, FatalErrorFrame, FileNameInputDialog, FilePathEditor, FileViewerDialog, FindStringDialog, GroupAssignDialog, GroupCreateDialog, GroupEditDialog, GroupFormDialog, GroupManagerDialog, InfoDialog, InputFileChooserDialog, ListRowDumpDialog, LoadMeterDialog, LogConfigDialog, LogfileListDialog, LogFrame, MemoryMonitorDialog, MessageDialog, ObserveTaskDialog, OutputDirectoryChooserDialog, OutputFileChooserDialog, PasswordChangeDialog, PermissionManagerDialog, RadioButtonOptionDialog, RecordTypeChooserDialog, RemoteTaskFrame, RemoteTextEditorDialog, RenamePathDialog, RootDirectoryChooserDialog, ServerEventRegisterDialog, ServerMemoryMonitorDialog, ServerShutdownDialog, SessionManagerDialog, SetDefaultPasswordDialog, TableEditFrame, TableRowDumpDialog, TankEditDialog, TaskManagerDialog, TaskOptionDialog, TextEditorDialog, TextEditorFrame, TextViewerDialog, TextViewerFrame, ToolDialog, ToolFrame, UserCreateDialog, UserEditDialog, UserFormDialog, UserManagerDialog, WarningDialog, WorkflowManagerDialog, WorkflowMonitorDialog, ZDialog, ZFrame

      public interface ToolWindow
      extends Closeable, Dumpable

  All application frames and dialogs should implement this interface
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Point` | `getLocation()`
    `int` | `getMinimumHeight()`
    `int` | `getMinimumWidth()`
    `java.awt.Dimension` | `getSize()`
    `java.lang.String` | `getTitle()`
    `java.awt.Toolkit` | `getToolkit()`
    `boolean` | `isPacked()`
    `void` | `pack()`
    `void` | `popup()` Pops up the frame to become visible
    `void` | `setLocation(int x, int y)`
    `void` | `setLocationRelativeTo(java.awt.Component c)`
    `void` | `setMinimumSize(java.awt.Dimension dim)`
    `void` | `setPreferredSize(java.awt.Dimension dim)`
    `void` | `shiftLocation(int dx, int dy)`

    - ### Methods inherited from interface de.esprit.common.gui.comp.Closeable

      `close`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

- - ### Method Detail

    - #### popup

          void popup()

      Pops up the frame to become visible

    - #### getSize

          java.awt.Dimension getSize()

    - #### setLocation

          void setLocation(int x,
                         int y)

    - #### shiftLocation

          void shiftLocation(int dx,
                           int dy)

    - #### getLocation

          java.awt.Point getLocation()

    - #### getToolkit

          java.awt.Toolkit getToolkit()

    - #### getMinimumWidth

          int getMinimumWidth()

    - #### getMinimumHeight

          int getMinimumHeight()

    - #### pack

          void pack()

    - #### isPacked

          boolean isPacked()

    - #### setPreferredSize

          void setPreferredSize(java.awt.Dimension dim)

    - #### setMinimumSize

          void setMinimumSize(java.awt.Dimension dim)

    - #### setLocationRelativeTo

          void setLocationRelativeTo(java.awt.Component c)

    - #### getTitle

          java.lang.String getTitle()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.